"use strict";

var feral;

// To ease testing outside of our environment, 
// lets make sure that JS will not just give up whenever it sees a feral.* function
if(typeof feral === 'undefined' && typeof window.cefQuery === 'undefined')
{
	feral = {};

	console.error("Could not find feral variable or cefQuery! Using debug stubs!");

	feral.log       = 
		function(	strToLog)
		{
			console.log("feral.log : \"" + strToLog + "\"");
		};

	feral.registerProperty  = 
		function(	propertyName,
					typePattern,
					recvFunction)
		{
		};

	feral.getPropertyValue  = 
		function(	propertyName,
					propertyType)
		{
			//Generic empty return.
			return [propertyName, propertyType, JSON.stringify([])];
		};

	feral.setPropertyValue  = 
		function(	)
		{
		};

	feral.resetPropertyList = 
		function(	)
		{
		};
}

